# WOK
TKWOK
WOKBuilder

# WOKBuilder_MSHeaderExtractor Class Reference

`#include <WOKBuilder_MSHeaderExtractor.hxx>`

Inheritance diagram for WOKBuilder_MSHeaderExtractor:

[legend]

## Public Member Functions

Standard_EXPORT | WOKBuilder_MSHeaderExtractor (const Handle(TCollection_HAsciiString)&ashared, const Handle(TColStd_HSequenceOfHAsciiString)&searchlist)
Standard_EXPORT | WOKBuilder_MSHeaderExtractor (const Handle(TCollection_HAsciiString)&aname, const Handle(TCollection_HAsciiString)&ashared, const Handle(TColStd_HSequenceOfHAsciiString)&searchlist)
Standard_EXPORT | WOKBuilder_MSHeaderExtractor (const Handle(TCollection_HAsciiString)&aname, const WOKUtils_Param &params)
Standard_EXPORT | WOKBuilder_MSHeaderExtractor (const WOKUtils_Param &params)
Standard_EXPORT WOKUtils_TimeStat | GetTypeMDate (const Handle(TCollection_HAsciiString)&atype) const
virtual Standard_EXPORT WOKBuilder_MSActionType | ExtractorID () const
virtual Standard_EXPORT WOKBuilder_MSActionStatus | ExtractionStatus (const Handle(WOKBuilder_MSAction)&anaction)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | GetTypeDepList (const Handle(TCollection_HAsciiString)&atype) const

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_MSHeaderExtractor::WOKBuilder_MSHeaderExtractor | ( | const Handle(TCollection_HAsciiString)& | ashared,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | searchlist
| ) |

Standard_EXPORT WOKBuilder_MSHeaderExtractor::WOKBuilder_MSHeaderExtractor | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(TCollection_HAsciiString)& | ashared,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | searchlist
| ) |

Standard_EXPORT WOKBuilder_MSHeaderExtractor::WOKBuilder_MSHeaderExtractor | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKUtils_Param & | params
| ) |

Standard_EXPORT WOKBuilder_MSHeaderExtractor::WOKBuilder_MSHeaderExtractor | ( | const WOKUtils_Param & | params | ) |

## Member Function Documentation

virtual Standard_EXPORT WOKBuilder_MSActionStatus WOKBuilder_MSHeaderExtractor::ExtractionStatus | ( | const Handle(WOKBuilder_MSAction)& | anaction | ) | `[virtual]`

| Reimplemented from WOKBuilder_MSExtractor. Reimplemented in WOKBuilder_MSClientExtractor, and WOKBuilder_MSJiniExtractor.

virtual Standard_EXPORT WOKBuilder_MSActionType WOKBuilder_MSHeaderExtractor::ExtractorID | ( |  | ) | const`[virtual]`

| Implements WOKBuilder_MSExtractor. Reimplemented in WOKBuilder_MSClientExtractor, and WOKBuilder_MSJiniExtractor.

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKBuilder_MSHeaderExtractor::GetTypeDepList | ( | const Handle(TCollection_HAsciiString)& | atype | ) | const`[protected]`

Standard_EXPORT WOKUtils_TimeStat WOKBuilder_MSHeaderExtractor::GetTypeMDate | ( | const Handle(TCollection_HAsciiString)& | atype | ) | const

Standard_EXPORT const WOKBuilder_MSHeaderExtractor::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_MSExtractor. Reimplemented in WOKBuilder_MSClientExtractor, and WOKBuilder_MSJiniExtractor.

The documentation for this class was generated from the following file:

- WOKBuilder_MSHeaderExtractor.hxx